# newgrf_cargo.cpp File Reference

Implementation of NewGRF cargoes. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "newgrf.h"`
`#include "newgrf_spritegroup.h"`
`#include "newgrf_cargo.h"`

Go to the source code of this file.

## Functions

static uint32 | CargoGetRandomBits (const ResolverObject *object)
static uint32 | CargoGetTriggers (const ResolverObject *object)
static void | CargoSetTriggers (const ResolverObject *object, int triggers)
static uint32 | CargoGetVariable (const ResolverObject *object, byte variable, byte parameter, bool *available)
static const SpriteGroup * | CargoResolveReal (const ResolverObject *object, const SpriteGroup *group)
static void | NewCargoResolver (ResolverObject *res, const CargoSpec *cs)
SpriteID | GetCustomCargoSprite (const CargoSpec *cs)
uint16 | GetCargoCallback (CallbackID callback, uint32 param1, uint32 param2, const CargoSpec *cs)
CargoID | GetCargoTranslation (uint8 cargo, const GRFFile *grffile, bool usebit)
uint8 | GetReverseCargoTranslation (CargoID cargo, const GRFFile *grffile)

## Detailed Description

Implementation of NewGRF cargoes.

Definition in file newgrf_cargo.cpp.